﻿using System;
using System.Collections.Generic;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Diagnostics;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ChartSample
{
	public partial class MyPage : ContentPage
	{
		public MyPage ()
		{
			InitializeComponent ();

			ViewModel data = new ViewModel();
			BindingContext = data;
			layout.Padding = new Thickness(0, 20, 0, 0);
		}
	}

	public class ViewModel
	{
		public ObservableCollection<ChartDataPoint> DataPoints { get; set; }

		public ViewModel()
		{

			DataPoints = new ObservableCollection<ChartDataPoint>();
			DataPoints.Add(new ChartDataPoint(new DateTime(2016, 06, 20), 1));
			DataPoints.Add(new ChartDataPoint(new DateTime(2017, 02, 16), 3));
			DataPoints.Add(new ChartDataPoint(new DateTime(2018, 03, 4), 4));
			DataPoints.Add(new ChartDataPoint(new DateTime(2019, 01, 8), 3));
			DataPoints.Add(new ChartDataPoint(new DateTime(2020, 12, 21), 1));

		}
	}
}







